# 🎯 Target

A (work in progress) web application framework for Dart.

<a href="https://github.com/invertase/melos"><img src="https://img.shields.io/badge/maintained%20with-melos-f700ff.svg?style=flat-square" alt="Melos" /></a>
<a href="https://docs.page"><img src="https://img.shields.io/badge/powered%20by-docs.page-34C4AC.svg?style=flat-square" alt="docs.page" /></a>

Target is a web application framework for Dart built with developer experience and simplicity in mind.
Out of the box, Target provides support for routing and handling HTTP requests, WebSockets, 
Proxies, Middleware, Views and more.

## 📚 Getting Started

Target provides rich documentation and examples to help you get started:

- [Introduction](https://docs.page.com/invertase/target)
- [Installation](https://docs.page.com/invertase/target/installation)
- [CLI](https://docs.page.com/invertase/target/cli)
- [Configuration](https://docs.page.com/invertase/target/configuration)

- Core Concepts
  - [Controllers](https://docs.page.com/invertase/target/controllers)
  - [Middleware](https://docs.page.com/invertase/target/middleware)
  - [Requests](https://docs.page.com/invertase/target/requests)
  - [Responses](https://docs.page.com/invertase/target/responses)
  - [WebSockets](https://docs.page.com/invertase/target/websockets)
  - [Proxy](https://docs.page.com/invertase/target/proxy)
  - [Views](https://docs.page.com/invertase/target/views)
  - [Cookies](https://docs.page.com/invertase/target/cookies)
  - [Services](https://docs.page.com/invertase/target/services)
  - [Environment Variables](https://docs.page.com/invertase/target/environment-variables)

- [Deployment](https://docs.page.com/invertase/target/deployment)
- [API Reference](https://pub.dev/documentation/target/latest)
## About

Target is a web application framework for Dart, focused on simplicity and developer experience. Target enables you quickly build scalable server-side applications whilst abstracting
complex logic away from your application code. It ships with a CLI (`target_cli`) to help you get started quickly, and offers useful features such as hot reloading.

> Target is currently under active development and not recommended for production use.

---

<p align="center">
  <a href="https://invertase.io/?utm_source=readme&utm_medium=footer&utm_campaign=target">
    <img width="75px" src="https://static.invertase.io/assets/invertase/invertase-rounded-avatar.png">
  </a>
  <p align="center">
    Built & maintained by <a href="https://invertase.io/?utm_source=readme&utm_medium=footer&utm_campaign=target">Invertase</a>.
  </p>
</p>