/*
 * Copyright (c) 2022-present Invertase Limited & Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this library except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

import 'package:target_framework/target_framework.dart';
import 'base_config.dart';

class HttpConfiguration extends BaseConfig {
  @override
  String get name => 'http';

  HttpConfiguration({
    this.host = 'localhost',
    this.port = 8080,
    this.compressed = true,
    this.middleware = const [],
  });

  final String host;

  final int port;

  final bool compressed;

  /// Middleware which applies globaly to every HTTP request.
  final List<TargetMiddleware> middleware;
}
