/*
 * Copyright (c) 2022-present Invertase Limited & Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this library except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

import 'base_config.dart';

class WebSocketConfiguration extends BaseConfig {
  @override
  String get name => 'ws';

  WebSocketConfiguration({
    List<String> protocols = const [],
    List<String> origins = const [],
    this.pingInterval,
  })  : this.protocols = protocols.map((protocol) => protocol.toLowerCase()),
        this.origins = origins.map((origin) {
          if (origin == '*') return Uri(host: origin);
          return Uri.parse(origin);
        });

  final Iterable<String> protocols;

  final Iterable<Uri> origins;

  final Duration? pingInterval;
}
