/*
 * Copyright (c) 2022-present Invertase Limited & Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this library except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

import 'package:hotreloader/hotreloader.dart';

Future<HotReloader> reloader(
    {required Function onBeforeReload, required Function onAfterReload}) {
  return HotReloader.create(
    onAfterReload: (ctx) {
      // TODO expand on logging e.g. log controller updated
      // TODO expand on when to reload e.g. on controller updated restart web server or on service update restart a service
      print('[⚡] server hot reloaded');
      onAfterReload();
    },
    onBeforeReload: (ctx) {
      onBeforeReload();
      return true;
    },
  );
}
