import 'package:spec/spec.dart';
import 'package:target_framework/target_framework.dart';
import 'utils.dart';

final int port = 3007;

void main() {
  group('Proxy', () {
    test('should proxy a request', () async {
      await startServer(port, controllers: [
        TestController('/foo/bar', anyHandler: (req) async {
          return Response('bar');
        }),
        TestProxyController(
          path: '/bar',
          proxyHandler: (r) async {
            return Response.proxy(
              Uri.parse('http://localhost:$port/foo/bar'),
            );
          },
        ),
      ]);

      await request(HttpMethod.get, '/bar').then((res) {
        expect(res.statusCode).toEqual(200);
        expect(res.body).toEqual('bar');
      });
    });
  });
}
